#
# Please do not update/rebuild/touch this package before asking first
# to mikala and/or neoclust and/or daviddavid
# This package is part of the KDE Stack.
#

%define rel 2

Name:           gwenview
Summary:        Fast and easy to use image viewer for KDE
Epoch:          2
Version: 23.04.1
Release:        %mkrel %{rel}
Group:          Graphics/Viewers
License:        GPLv2
URL:            https://apps.kde.org/fr/gwenview/
Source0:        https://download.kde.org/stable/release-service/%version/src/%name-%version.tar.xz
# Branch Patch (100-200)
# fixes kdebug: 469824 (mga#32162)
Patch100:       0001-Fix-running-wrong-application-in_Open-with..._menu.patch

BuildRequires:  kf5-rpm-macros
BuildRequires:  pkgconfig(libjpeg)
BuildRequires:  pkgconfig(libtiff-4)
BuildRequires:  pkgconfig(wayland-client)
BuildRequires:  pkgconfig(wayland-protocols)

BuildRequires:  pkgconfig(Qt5Core)
BuildRequires:  pkgconfig(Qt5DBus)
BuildRequires:  pkgconfig(Qt5Widgets)
BuildRequires:  pkgconfig(Qt5Script)
BuildRequires:  pkgconfig(Qt5Test)
BuildRequires:  pkgconfig(Qt5Concurrent)
BuildRequires:  pkgconfig(Qt5Svg)
BuildRequires:  pkgconfig(Qt5OpenGL)
BuildRequires:  pkgconfig(Qt5WaylandClient)
BuildRequires:  pkgconfig(Qt5X11Extras)

BuildRequires:  pkgconfig(lcms2)
BuildRequires:  pkgconfig(exiv2)
BuildRequires:  pkgconfig(cfitsio)

BuildRequires:  cmake(KF5Baloo)
BuildRequires:  cmake(KF5KIO)
BuildRequires:  cmake(KF5Archive)
BuildRequires:  cmake(KF5Activities)
BuildRequires:  cmake(KF5Notifications)
BuildRequires:  cmake(KF5ItemModels)
BuildRequires:  cmake(KF5DocTools)
BuildRequires:  cmake(KF5Parts)

BuildRequires:  cmake(KF5KExiv2)
BuildRequires:  cmake(KF5KDcraw)
BuildRequires:  cmake(KF5Kipi)

BuildRequires:  cmake(KF5FileMetaData)
BuildRequires:  cmake(KF5Purpose)
BuildRequires:  cmake(Phonon4Qt5)

BuildRequires:  cmake(kImageAnnotator)

Requires:       kio
Requires:       kio-extras
Requires:       kinit
Requires:       breeze
Requires:       kded
# For TIFF, WEBM, WEBP, etc. support (mga#18020)
Requires:       qtimageformats5
Recommends:     gwenview-handbook

%description
Gwenview is a fast and easy to use image viewer/browser for KDE.
All common image formats are supported, such as PNG(including transparency),
JPEG(including EXIF tags and lossless transformations), GIF, XCF (Gimp
image format), BMP, XPM and others. Standard features include slideshow,
fullscreen view, image thumbnails, drag'n'drop, image zoom, full network
transparency using the KIO framework, including basic file operations and
browsing in compressed archives, non-blocking GUI with adjustable views.
Gwenview also provides image and directory KParts components for use e.g. in
Konqueror. Additional features, such as image renaming, comparing,
converting, and batch processing, HTML gallery and others are provided by the
KIPI image framework.

%files -f %name.lang
%_kf5_categoriesdir/gwenview.categories
%_kf5_bindir/gwenview
%_kf5_bindir/gwenview_importer
%_kf5_plugindir/parts/gvpart.so
%_kf5_plugindir/kfileitemaction/slideshowfileitemaction.so
%_kf5_applicationsdir/*
%_kf5_datadir/gwenview/
%_kf5_iconsdir/*/*/*/*
%_kf5_services/gvpart.desktop
%_kf5_datadir/kconf_update/gwenview.upd
%_kf5_datadir/kconf_update/gwenview-imageview-alphabackgroundmode-update.pl
%_kf5_metainfodir/org.kde.gwenview.appdata.xml
%_kf5_datadir/solid/actions/gwenview_importer.desktop
%_kf5_datadir/solid/actions/gwenview_importer_camera.desktop

#------------------------------------------------------------------------------

%package handbook
Summary:        Gwenview handbook
Group:          Documentation
BuildArch:      noarch
Requires:       gwenview >= %{epoch}:%{version}-%{release}

%description handbook
This package provides the gwenview handbook.

%files handbook
%doc %_kf5_docdir/HTML/*/gwenview

#------------------------------------------------------------------------------

%define gwenviewlib_major 5
%define libgwenviewlib %mklibname gwenviewlib %gwenviewlib_major

%package -n %libgwenviewlib
Summary:        Gwenview library
Group:          System/Libraries
Obsoletes:      %{_lib}gwenviewlib4 < 2:18.04.1-3

%description -n %libgwenviewlib
Gwenview library.

%files -n %libgwenviewlib
%_kf5_libdir/libgwenviewlib.so.%{gwenviewlib_major}{,.*}
%_kf5_libdir/libgwenviewlib.so.4.97.0

#------------------------------------------------------------------------------

%prep
%setup -q
%autopatch -p1

%build
%cmake_kf5
%cmake_build

%install
%cmake_install
%find_lang %name


%changelog
* Wed Aug 09 2023 daviddavid <daviddavid> 2:23.04.1-2.mga9
+ Revision: 1964567
- backport upstream patch to fix running wrong application in 'Open with...' menu (mga#32162)
  * kdebug: 469824

* Sat May 27 2023 neoclust <neoclust> 2:23.04.1-1.mga9
+ Revision: 1958659
- New version 23.04.1

* Thu Mar 02 2023 neoclust <neoclust> 2:22.12.3-1.mga9
+ Revision: 1946428
- New version 22.12.3

* Thu Feb 16 2023 neoclust <neoclust> 2:22.12.2-1.mga9
+ Revision: 1942840
- New version 22.12.2

* Wed Jan 11 2023 daviddavid <daviddavid> 2:22.12.0-2.mga9
+ Revision: 1932339
- add upstream patch to fix coexistence between Qt Raw plugin and KDcraw (KDEBUG#463132) (mga#31392)

* Thu Dec 15 2022 neoclust <neoclust> 2:22.12.0-1.mga9
+ Revision: 1922841
- New version 22.12.0

* Mon Dec 12 2022 ns80 <ns80> 2:22.11.90-3.mga9
+ Revision: 1921042
- rebuild for new libtiff

* Sun Dec 04 2022 daviddavid <daviddavid> 2:22.11.90-2.mga9
+ Revision: 1917599
- rebuild for new cfitsio 4.2.0

* Sat Nov 26 2022 neoclust <neoclust> 2:22.11.90-1.mga9
+ Revision: 1911333
- New version 22.11.90

* Thu Nov 10 2022 neoclust <neoclust> 2:22.08.3-1.mga9
+ Revision: 1905188
- New version 22.08.3

* Sun Sep 11 2022 neoclust <neoclust> 2:22.08.1-1.mga9
+ Revision: 1886709
- New version 22.08.1

* Wed Aug 31 2022 neoclust <neoclust> 2:22.08.0-1.mga9
+ Revision: 1882597
- New version 22.08.0

* Sat Jul 30 2022 neoclust <neoclust> 2:22.04.3-1.mga9
+ Revision: 1873004
- New version 22.04.3

* Tue Apr 26 2022 neoclust <neoclust> 2:22.04.0-1.mga9
+ Revision: 1853898
- New version 22.04.0

* Sun Apr 17 2022 neoclust <neoclust> 2:22.03.90-1.mga9
+ Revision: 1850841
- New version 22.03.90

* Sun Dec 26 2021 neoclust <neoclust> 2:21.12.0-1.mga9
+ Revision: 1763789
- New version 21.12.0
- New version 21.11.90

* Sat May 15 2021 neoclust <neoclust> 2:21.04.1-1.mga9
+ Revision: 1723991
- New version 21.04.1

* Sat Apr 24 2021 neoclust <neoclust> 2:21.04.0-1.mga9
+ Revision: 1718816
- New version 21.04.0

* Thu Mar 04 2021 neoclust <neoclust> 2:20.12.3-2.mga9
+ Revision: 1698483
- New version 20.12.3

* Sun Feb 28 2021 neoclust <neoclust> 2:20.12.2-1.mga9
+ Revision: 1694022
- New version 20.12.2

* Fri Dec 11 2020 neoclust <neoclust> 2:20.12.0-1.mga8
+ Revision: 1655545
- New version 20.12.0

* Mon Nov 09 2020 neoclust <neoclust> 2:20.08.3-1.mga8
+ Revision: 1643931
- New version 20.08.3

* Mon Oct 12 2020 neoclust <neoclust> 2:20.08.2-1.mga8
+ Revision: 1633736
- New version 20.08.2

* Thu Sep 17 2020 daviddavid <daviddavid> 2:20.08.1-2.mga8
+ Revision: 1627557
- enable TIFF support

* Wed Sep 16 2020 neoclust <neoclust> 2:20.08.1-1.mga8
+ Revision: 1626989
- New version 20.08.1

* Tue Aug 18 2020 neoclust <neoclust> 2:20.08.0-1.mga8
+ Revision: 1614854
- New version 20.08.0

* Fri Jul 10 2020 neoclust <neoclust> 2:20.04.3-1.mga8
+ Revision: 1604053
- New version 20.04.3

* Fri Jun 19 2020 neoclust <neoclust> 2:20.04.2-1.mga8
+ Revision: 1596785
- New version 20.04.2

* Sat May 16 2020 neoclust <neoclust> 2:20.04.1-1.mga8
+ Revision: 1584436
- New version 20.04.1

* Sat Apr 18 2020 neoclust <neoclust> 2:20.04.0-1.mga8
+ Revision: 1568874
- New version 20.04.0
+ danf <danf>
- Switch URLs from http: to https:

* Tue Mar 24 2020 neoclust <neoclust> 2:19.12.3-1.mga8
+ Revision: 1559257
- New version 19.12.3

* Tue Feb 18 2020 umeabot <umeabot> 2:19.12.2-2.mga8
+ Revision: 1541060
- Mageia 8 Mass Rebuild

* Thu Feb 13 2020 neoclust <neoclust> 2:19.12.2-1.mga8
+ Revision: 1513227
- New version 19.12.2
- New version 4.12.90
+ wally <wally>
- build with new cmake macros

* Thu Dec 19 2019 daviddavid <daviddavid> 2:19.12.0-2.mga8
+ Revision: 1468875
- enable KF5Purpose support

* Sat Dec 14 2019 neoclust <neoclust> 2:19.12.0-1.mga8
+ Revision: 1466871
- New version 19.12.0
- New version 19.11.90

* Tue Nov 05 2019 neoclust <neoclust> 2:19.08.3-1.mga8
+ Revision: 1457831
- New version 19.08.3

* Thu Sep 26 2019 neoclust <neoclust> 2:19.08.1-1.mga8
+ Revision: 1446337
- New version 19.08.1

* Tue Jul 30 2019 neoclust <neoclust> 2:19.04.3-1.mga8
+ Revision: 1425395
- New version 19.04.3

* Thu May 16 2019 daviddavid <daviddavid> 2:19.04.0-2.mga7
+ Revision: 1398072
- add upstream patch to fix build with exiv2-0.27.1
- rebuild for new exiv2 0.27.1

* Mon Apr 15 2019 neoclust <neoclust> 2:19.04.0-1.mga7
+ Revision: 1390379
- New version 19.04.0
- New version 19.04.00

* Thu Apr 11 2019 neoclust <neoclust> 2:19.03.90-1.mga7
+ Revision: 1388622
- New version 19.03.90

* Sat Mar 30 2019 umeabot <umeabot> 2:18.12.3-2.mga7
+ Revision: 1381888
- Qt5 Rebuild

* Wed Mar 13 2019 neoclust <neoclust> 2:18.12.3-1.mga7
+ Revision: 1375459
- New version 18.12.3

* Tue Feb 12 2019 neoclust <neoclust> 2:18.12.2-1.mga7
+ Revision: 1365498
- New version 18.12.2

* Mon Jan 14 2019 neoclust <neoclust> 2:18.12.1-1.mga7
+ Revision: 1356434
- New version 18.12.1

* Sun Dec 30 2018 daviddavid <daviddavid> 2:18.12.0-2.mga7
+ Revision: 1347169
- add patch to fix build with exiv2 >= 0.27
+ luigiwalser <luigiwalser>
- rebuild for exiv2

* Thu Dec 20 2018 neoclust <neoclust> 2:18.12.0-1.mga7
+ Revision: 1343235
- New version 18.12.0

* Wed Nov 21 2018 neoclust <neoclust> 2:18.08.3-1.mga7
+ Revision: 1332678
- New version 18.08.3

* Sun Nov 18 2018 daviddavid <daviddavid> 2:18.08.2-1.mga7
+ Revision: 1331007
- fix gwenviewlib pkg name (real lib major is 5)
+ neoclust <neoclust>
- New version 18.08.2

* Sun Sep 23 2018 umeabot <umeabot> 2:18.04.1-2.mga7
+ Revision: 1298156
- Mageia 7 Mass Rebuild

* Wed Jun 27 2018 neoclust <neoclust> 2:18.04.1-1.mga7
+ Revision: 1240261
- New version 18.04.1

* Fri Feb 16 2018 neoclust <neoclust> 2:17.12.2-1.mga7
+ Revision: 1201828
- New version 17.12.2

* Sat Jan 20 2018 neoclust <neoclust> 2:17.12.1-1.mga7
+ Revision: 1194852
- New version 17.12.1

* Sun Dec 31 2017 neoclust <neoclust> 2:17.12.0-1.mga7
+ Revision: 1188398
- New version 17.12.0

* Wed Aug 23 2017 neoclust <neoclust> 2:17.08.0-1.mga7
+ Revision: 1144534
- New version 17.08.0

* Sat Aug 05 2017 neoclust <neoclust> 2:17.07.90-1.mga7
+ Revision: 1136704
- New version 17.07.90

* Fri Jul 28 2017 neoclust <neoclust> 2:17.04.3-1.mga7
+ Revision: 1131844
- Add conflicts to ease upgrade
- New version 17.04.3

* Tue Jun 20 2017 neoclust <neoclust> 2:16.12.3-2.mga6
+ Revision: 1108003
- Rebuild against new exiv2

* Wed Mar 08 2017 neoclust <neoclust> 2:16.12.3-1.mga6
+ Revision: 1090008
- New version 16.12.3
- New version 16.12.2
- New version 16.12.1

* Sat Dec 24 2016 neoclust <neoclust> 2:16.12.0-1.mga6
+ Revision: 1076743
- New version 16.12.0

* Sun Dec 04 2016 neoclust <neoclust> 2:16.11.90-1.mga6
+ Revision: 1071958
- New version 16.11.90

* Tue Nov 15 2016 neoclust <neoclust> 2:16.08.3-1.mga6
+ Revision: 1067276
- New version 16.08.3

* Mon Oct 17 2016 neoclust <neoclust> 2:16.08.2-1.mga6
+ Revision: 1061335
- New version 16.08.2

* Thu Sep 08 2016 neoclust <neoclust> 2:16.08.1-1.mga6
+ Revision: 1050602
- New version 16.08.1

* Sat Aug 20 2016 neoclust <neoclust> 2:16.08.0-1.mga6
+ Revision: 1047230
- New version 16.08.0

* Sat Jul 09 2016 neoclust <neoclust> 2:16.04.3-1.mga6
+ Revision: 1039997
- New version 16.04.3
- New version 16.04.2

* Wed May 11 2016 neoclust <neoclust> 2:16.04.1-1.mga6
+ Revision: 1012487
- New version 16.04.1

* Mon Apr 25 2016 akien <akien> 2:16.04.0-2.mga6
+ Revision: 1006209
- Requires qtimageformats5 for TIFF, WEBM, WEBP, etc. support (mga#18020)

* Fri Apr 22 2016 neoclust <neoclust> 2:16.04.0-1.mga6
+ Revision: 1004277
- New version 16.04.0

* Mon Apr 04 2016 neoclust <neoclust> 2:16.03.80-2.mga6
+ Revision: 998300
- Rebuild against new libkipi

* Thu Mar 24 2016 neoclust <neoclust> 2:16.03.80-1.mga6
+ Revision: 994811
- New version 16.03.80

* Wed Mar 16 2016 neoclust <neoclust> 2:15.12.3-1.mga6
+ Revision: 991128
- New version 15.12.3

* Tue Mar 08 2016 neoclust <neoclust> 2:15.12.2-1.mga6
+ Revision: 987396
- New version 15.12.2

* Tue Jan 19 2016 neoclust <neoclust> 2:15.12.1-3.mga6
+ Revision: 925876
- Remove starting errors ( mga #16721 )
- Remove starting errors ( mga #16721 )

* Wed Jan 13 2016 neoclust <neoclust> 2:15.12.1-1.mga6
+ Revision: 922566
- New version 15.12.1

* Fri Dec 25 2015 shlomif <shlomif> 2:15.12.0-2.mga6
+ Revision: 914628
- Rebuild for new deps due to crash at startup

* Sat Dec 19 2015 neoclust <neoclust> 2:15.12.0-1.mga6
+ Revision: 911902
- New version 15.12.0

* Tue Dec 01 2015 neoclust <neoclust> 2:15.11.80-2.mga6
+ Revision: 907559
- Add kinit as runtime deps

* Thu Nov 26 2015 neoclust <neoclust> 2:15.11.80-1.mga6
+ Revision: 906230
- New version 15.11.80
- Add minimal deps MGA#17107
- New version 15.08.3

* Thu Oct 15 2015 neoclust <neoclust> 2:15.08.2-1.mga6
+ Revision: 891706
- New version 15.08.2

* Fri Sep 18 2015 neoclust <neoclust> 2:15.08.1-1.mga6
+ Revision: 880393
- New version 15.08.1

* Mon Aug 24 2015 neoclust <neoclust> 2:15.08.0-3.mga6
+ Revision: 868873
- Add libkipi-devel as a builddeps

* Sun Aug 23 2015 neoclust <neoclust> 2:15.08.0-2.mga6
+ Revision: 868850
- Enable libkdcraw-devel support

* Wed Aug 19 2015 neoclust <neoclust> 2:15.08.0-1.mga6
+ Revision: 865911
- New version 15.08.0

* Sun Aug 16 2015 neoclust <neoclust> 2:15.07.90-3.mga6
+ Revision: 865135
- Requires kdelibs4support for image viewing support

* Wed Aug 12 2015 neoclust <neoclust> 2:15.07.90-2.mga6
+ Revision: 863700
- Plasma Mass Rebuild - Rebuild for new Plasma

* Sun Aug 09 2015 neoclust <neoclust> 2:15.07.90-1.mga6
+ Revision: 861724
- New version 15.07.90

* Fri Jul 31 2015 neoclust <neoclust> 2:15.07.80-1.mga6
+ Revision: 859957
- New version 15.07.80

* Fri Jul 17 2015 neoclust <neoclust> 2:15.04.3-1.mga6
+ Revision: 854833
- New version

* Mon May 11 2015 akien <akien> 2:4.14.3-2.mga5
+ Revision: 821776
- Add patch to increase default JPEG quality from 75 to 95 (bko#294594, mga#15904)

* Wed Dec 03 2014 lmenut <lmenut> 2:4.14.3-1.mga5
+ Revision: 800544
- Update to KDE SC 4.14.3

* Sat Oct 18 2014 lmenut <lmenut> 2:4.14.2-1.mga5
+ Revision: 787626
- Update to KDE SC 4.14.2

* Wed Oct 15 2014 umeabot <umeabot> 2:4.14.1-2.mga5
+ Revision: 750394
- Second Mageia 5 Mass Rebuild

* Thu Oct 02 2014 lmenut <lmenut> 2:4.14.1-1.mga5
+ Revision: 734492
- Update to KDE SC 4.14.1

* Tue Sep 16 2014 umeabot <umeabot> 2:4.14.0-2.mga5
+ Revision: 680060
- Mageia 5 Mass Rebuild
+ tv <tv>
- s/uggests:/Recommends:/

* Mon Aug 25 2014 lmenut <lmenut> 2:4.14.0-1.mga5
+ Revision: 667430
- Update to KDE SC 4.14.0
- Use official URL http://download.kde.org for Source

* Fri Aug 15 2014 lmenut <lmenut> 2:4.13.97-1.mga5
+ Revision: 662941
- Update to KDE SC 4.13.97 aka KDE SC 4.14 RC

* Sat Jul 26 2014 lmenut <lmenut> 2:4.13.95-1.mga5
+ Revision: 656619
- Update to KDE SC 4.13.95 aka KDE SC 4.14 Beta3

* Sat Jul 19 2014 lmenut <lmenut> 2:4.13.90-1.mga5
+ Revision: 653805
- Update to KDE SC 4.13.90 aka KDE SC 4.14 Beta2

* Mon Jul 14 2014 lmenut <lmenut> 2:4.13.80-1.mga5
+ Revision: 651910
- Update to KDE SC 4.13.80 aka KDE SC 4.14 Beta1

* Sun Jun 15 2014 lmenut <lmenut> 2:4.13.2-1.mga5
+ Revision: 636679
- Update to KDE SC 4.13.2

* Sat May 24 2014 lmenut <lmenut> 2:4.13.1-1.mga5
+ Revision: 625446
- Update to KDE SC 4.13.1

* Thu Apr 17 2014 lmenut <lmenut> 2:4.13.0-1.mga5
+ Revision: 615519
- Update to KDE SC 4.13.0

* Sat Mar 29 2014 lmenut <lmenut> 2:4.12.97-1.mga5
+ Revision: 609339
- Update to KDE SC 4.12.97 aka KDE SC 4.13 RC

* Sun Mar 23 2014 lmenut <lmenut> 2:4.12.95-1.mga5
+ Revision: 606780
- Update to KDE SC 4.12.95 aka KDE SC 4.13 Beta3

* Tue Mar 18 2014 shlomif <shlomif> 2:4.12.90-1.mga5
+ Revision: 604820
- Fix requiring an i586 package on x86-64 systems.
+ neoclust <neoclust>
- New version 4.12.80

* Tue Mar 11 2014 neoclust <neoclust> 2:4.12.80-1.mga5
+ Revision: 602501
- New version 4.12.80
- New version 4.12.3

* Thu Feb 13 2014 neoclust <neoclust> 2:4.12.2-1.mga5
+ Revision: 590412
- New version 4.12.2

* Mon Feb 10 2014 dams <dams> 2:4.11.5-2.mga5
+ Revision: 589078
- rebuild for new exiv2
+ neoclust <neoclust>
- Update tarball to KDE SC 4.11.5

* Wed Dec 04 2013 lmenut <lmenut> 2:4.11.4-1.mga4
+ Revision: 554939
- Update tarball to KDE SC 4.11.4

* Thu Nov 14 2013 lmenut <lmenut> 2:4.11.3-1.mga4
+ Revision: 551193
- Update tarball to KDE SC 4.11.3

* Mon Oct 21 2013 umeabot <umeabot> 2:4.11.2-2.mga4
+ Revision: 539909
- Mageia 4 Mass Rebuild

* Thu Oct 03 2013 mikala <mikala> 2:4.11.2-1.mga4
+ Revision: 490696
- Update tarball to KDE SC 4.11.2

* Sat Sep 28 2013 lmenut <lmenut> 2:4.11.1-2.mga4
+ Revision: 488613
- rebuild with fixed rpm (missing suggests tags)

* Mon Sep 09 2013 mikala <mikala> 2:4.11.1-1.mga4
+ Revision: 476791
- Update tarball to KDE SC 4.11.1

* Sat Aug 10 2013 mikala <mikala> 2:4.11.0-1.mga4
+ Revision: 465144
- Update tarball to KDE SC 4.11.0

* Sat Jul 27 2013 lmenut <lmenut> 2:4.10.97-1.mga4
+ Revision: 458853
- Update tarball to KDE SC 4.10.97 aka KDE SC 4.11 RC2

* Wed Jul 17 2013 lmenut <lmenut> 2:4.10.95-1.mga4
+ Revision: 455243
- Update tarball to KDE SC 4.10.95 aka KDE SC 4.11 RC1

* Sun Jul 07 2013 mikala <mikala> 2:4.10.90-1.mga4
+ Revision: 450999
- Update tarball to KDE SC 4.10.90 aka KDE SC 4.11 Beta 2
- Update tarball to KDE SC 4.10.80 aka KDE SC 4.11 Beta 1

* Sun Jun 02 2013 mikala <mikala> 2:4.10.4-1.mga4
+ Revision: 435250
- Update tarball to KDE SC 4.10.4

* Sun Jun 02 2013 fwang <fwang> 2:4.10.3-2.mga4
+ Revision: 434923
- rebuild for new libpng

* Sun May 26 2013 mikala <mikala> 2:4.10.3-1.mga4
+ Revision: 428368
- Update tarball to KDE SC 4.10.3

* Tue Apr 02 2013 mikala <mikala> 2:4.10.2-1.mga3
+ Revision: 407180
- Update tarball to KDE SC 4.10.2

* Sat Mar 09 2013 lmenut <lmenut> 2:4.10.1-1.mga3
+ Revision: 401838
- Update tarball to KDE SC 4.10.1

* Mon Feb 04 2013 mikala <mikala> 2:4.10.0-1.mga3
+ Revision: 394357
- Update tarball to KDE SC 4.10.0
- Update tarball to KDE SC 4.9.98 aka KDE SC 4.10 RC3

* Sat Jan 12 2013 umeabot <umeabot> 2:4.9.97-2.mga3
+ Revision: 353059
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Jan 05 2013 mikala <mikala> 2:4.9.97-1.mga3
+ Revision: 339403
- Update tarball to KDE SC 4.9.97 aka KDE SC 4.10 RC2

* Mon Dec 24 2012 mikala <mikala> 2:4.9.95-1.mga3
+ Revision: 334511
- Update tarball to KDE SC 4.9.95 aka KDE SC 4.10 RC1

* Wed Dec 05 2012 mikala <mikala> 2:4.9.90-1.mga3
+ Revision: 326716
- Update tarball to KDE SC 4.9.90 aka KDE SC 4.10 Beta2

* Wed Nov 21 2012 mikala <mikala> 2:4.9.80-1.mga3
+ Revision: 320273
- Update tarball to KDE SC 4.9.80 aka KDE SC 4.10 Beta1
- Add missing buildrequires
- Disable  -DKDE4_ENABLE_FINAL (not supported)

* Wed Nov 07 2012 mikala <mikala> 2:4.9.3-1.mga3
+ Revision: 316154
- Update tarball to KDE SC 4.9.3
- Use pkgconfig() for BuildRequires

* Tue Oct 02 2012 mikala <mikala> 2:4.9.2-1.mga3
+ Revision: 301929
- Update tarball to KDE SC 4.9.2
- Fix group

* Sat Sep 08 2012 mikala <mikala> 2:4.9.1-1.mga3
+ Revision: 289718
- Update tarball to KDE SC 4.9.1

* Wed Aug 01 2012 mikala <mikala> 2:4.9.0-1.mga3
+ Revision: 277098
- Silent: Fix Source URL
- Update tarball to KDE 4.9.0

* Thu Jul 12 2012 fwang <fwang> 2:4.8.97-1.mga3
+ Revision: 269650
- new version 4.8.97

* Sun Jul 01 2012 shlomif <shlomif> 2:4.8.95-1.mga3
+ Revision: 265822
- New version - 4.8.95

* Mon Jun 18 2012 fwang <fwang> 2:4.8.4-2.mga3
+ Revision: 261603
- rebuild for new exiv2

* Fri Jun 08 2012 fwang <fwang> 2:4.8.4-1.mga3
+ Revision: 257220
- new version 4.8.4

* Mon Apr 23 2012 mikala <mikala> 2:4.8.2-2.mga2
+ Revision: 232810
- Add kipi-plugins as suggests
- Add missing requires

* Wed Apr 04 2012 fwang <fwang> 2:4.8.2-1.mga2
+ Revision: 228436
- new version 4.8.2

* Thu Mar 08 2012 mikala <mikala> 2:4.8.1-1.mga2
+ Revision: 221461
- New upstream tarball

* Thu Jan 19 2012 mikala <mikala> 2:4.8.0-1.mga2
+ Revision: 198188
- Updating tarball to KDE 4.8.0
- Add requires for kdebase4-runtime

* Thu Jan 05 2012 mikala <mikala> 2:4.7.97-1.mga2
+ Revision: 190984
- Update tarball to KDE SC 4.7.97

* Thu Dec 22 2011 mikala <mikala> 2:4.7.95-1.mga2
+ Revision: 185930
- Update tarball to KDE SC 4.7.95
- fix group

* Thu Dec 15 2011 mikala <mikala> 2:4.7.90-1.mga2
+ Revision: 181869
- Update tarball to KDE SC 4.7.90
- fix BuildRequires

* Sun Dec 04 2011 mikala <mikala> 2:4.7.4-1.mga2
+ Revision: 176349
- Update tarball to KDE SC 4.7.4

* Tue Nov 01 2011 mikala <mikala> 2:4.7.3-1.mga2
+ Revision: 161093
- Update tarball to KDE SC 4.7.3

* Sun Oct 09 2011 fwang <fwang> 2:4.7.2-2.mga2
+ Revision: 153439
- rebuild for new exiv2

* Wed Oct 05 2011 mikala <mikala> 2:4.7.2-1.mga2
+ Revision: 151928
- Update tarball to KDE SC 4.7.2

* Wed Sep 07 2011 mikala <mikala> 2:4.7.1-1.mga2
+ Revision: 140621
- Update tarball to KDE SC 4.7.1
- Split handbook in his own package (mga #2101)
- Remove %%defattr
- Remove %%clean section
- Remove kdelibs4-devel and libexiv-devel as require for -devel package (already handled by autoreqprov)
- Update tarball to KDE SC 4.7.0
- use kde macros
- remove %%defattr

* Mon Jul 11 2011 mikala <mikala> 2:4.6.95-0.mga2
+ Revision: 122363
- Update tarball to KDE 4.6.95 ( KDE SC 4.7 RC2)

* Tue Jun 28 2011 mikala <mikala> 2:4.6.90-1.mga2
+ Revision: 115450
-Add more requires on -devel package
- imported package gwenview
+ fwang <fwang>
- add conflicts on older package

